﻿using System.Configuration;
using System.Threading;
using MyProject.Domain;

namespace MyProject.Services
{
    public class TaxRateWebService : ITaxRateWebService
    {
        public double GetTaxRate(string postalCode)
        {
            SimulateLongRunningOperation();

            switch (postalCode)
            {
                case "12345":
                    return 0.1d;

                case "45678":
                    return 0.2d;

                default:
                    return 0;

            }
        }

        private void SimulateLongRunningOperation()
        {
            var simulateDelay = ConfigurationManager.AppSettings.Get("simulatedDelay");

            if (!string.IsNullOrEmpty(simulateDelay) && simulateDelay.ToLower() == "true")
                Thread.Sleep(5000);
        }

    }
}