using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using MyProject.Domain;

namespace MyProject.CustomersAndOrdersTests
{
    [TestFixture]
    public class When_Order_Has_Item
    {
        [Test]
        public void Adding_Same_Item_Increases_Quantity()
        {
            var order = new Order();
            var item = new OrderItem() { Cost = 1, Quantity = 1 };

            order.AddItem(item);
            order.AddItem(item);

            Assert.IsTrue(order.Items.Single().Quantity == 2);
        }


        [Test]
        public void Can_Add_Differnt_Item()
        {
            var order = new Order();
            var item1 = new OrderItem() { Cost = 1, Quantity = 1, Description = "First Item" };
            var item2 = new OrderItem() { Cost = 1, Quantity = 2, Description = "Second Item" };

            order.AddItem(item1);
            order.AddItem(item2);

            Assert.IsTrue(order.Items.Single(i => i.Description == "First Item").Quantity == 1);
        }

        [Test]
        public void Can_Calculate_Total_Order_Cost()
        {
            var order = new Order();
            var item1 = new OrderItem() { Cost = 1, Quantity = 1, Description = "First Item" };
            var item2 = new OrderItem() { Cost = 1, Quantity = 2, Description = "Second Item" };

            order.AddItem(item1);
            order.AddItem(item2);

            Assert.IsTrue(order.Cost == 3);
        }
    }
}
