using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using MyProject.Domain;

namespace MyProject.CustomersAndOrdersTests
{
    [TestFixture]

    public class When_Order_Has_No_Items
    {
        [Test]
        [ExpectedException("MyProject.Domain.CannotAddOrderException")]
        public void Cannot_Add_To_Customer()
        {
            var customer = new Customer();
            var order = new Order();

            customer.AddOrder(order);
        }


        [Test]
        public void Can_Add_Item()
        {
            var order = new Order();
            var item = new OrderItem() { Cost = 1, Quantity = 1 };

            order.AddItem(item);

            Assert.That(order.Items, Has.Member(item));
        }
    }
}
