using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using MyProject.Domain;
using MyProject.Services;
using Rhino.Mocks;

namespace MyProject.PlacingAndShippingOrdersTests
{
    [TestFixture]
    public class When_Looking_Up_Tax_Rate
    {
        [Test]
        [ExpectedException(typeof(ArgumentNullException))]
        public void Can_Return_Expected_Rate()
        {
            var lookup = new TaxRateLookup();

            Assert.That(lookup.DetermineTaxRateFor("12345"), Is.EqualTo(0.1));
            Assert.That(lookup.DetermineTaxRateFor("45678"), Is.EqualTo(0.2));
            Assert.That(lookup.DetermineTaxRateFor("11111"), Is.EqualTo(0));
            
            lookup.DetermineTaxRateFor(null);
        }
    }
}
