using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using MyProject.Services;
using MyProject.Domain;

namespace MyProject.PlacingAndShippingOrdersTests
{
    [TestFixture]
    public class When_Order_Has_No_SalesTax
    {
        [Test]
        public void Order_Is_Invalid_For_Shipping()
        {
            var item = new OrderItem() { Cost = 1, Quantity = 1 };
            var order = new Order();
            order.AddItem(item);

            var customer = new Customer() { PostalCode = "12345" };
            customer.AddOrder(order);

            var approver = new OrderApprover();

            Assert.That(approver.IsValidToShip(customer, order), Is.False);
        }
    }
}
